> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2025-12-08/api-reference/connect/connections/create-a-connect-connection/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Create a Connection POST https://api.withpersona.com/api/v1/connect/connections Content-Type: application/json Creates a new Connection from your organization to a destination organization in the `pending` state. The destination organization must accept the connection before it transitions to `active`; share tokens cannot be redeemed through the connection until then. Connections cannot be deleted, but they can be deactivated and later reactivated to control access. Reference: https://docs.withpersona.com/api-reference/connect/connections/create-a-connect-connection ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ### Body (application/json) This endpoint expects an object. - `data` (ConnectConnectionsPostRequestBodyContentApplicationJsonSchemaData, optional) ## Response ### 201 This endpoint returns a Connection. - `data` (connect-connection, required) — A Connect Connection object. This object represents a connection between organizations for sharing access to Persona objects. ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 409 Conflict Error The request conflicts with another request, often due to attempting to create a duplicate resource. - `errors` (list of ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 422 Unprocessable Entity Error The request modifies the resource in an unacceptable way, often due to an invalid action or parameter. - `errors` (list of ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### ConnectConnectionsPostRequestBodyContentApplicationJsonSchemaData - `attributes` (ConnectConnectionsPostRequestBodyContentApplicationJsonSchemaDataAttributes, optional) ### connect-connection A Connect Connection object. This object represents a connection between organizations for sharing access to Persona objects. - `type` ("connect/connection", optional) - `id` (string, optional) - `attributes` (ConnectConnectionAttributes, optional) - `relationships` (ConnectConnectionRelationships, optional) ### ConnectConnectionsPostResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### ConnectConnectionsPostRequestBodyContentApplicationJsonSchemaDataAttributes - `destination-organization-id` (string, required) — The organization ID that will be authorized to access objects through this connection ### ConnectConnectionAttributes - `status` (string, optional) — The current status of the connection. One of `pending`, `active`, or `inactive`. - `destination-organization-id` (string, optional) — The organization authorized to access objects through this connection. - `source-organization-id` (string, optional) — The organization that created and owns this connection. - `created-at` (datetime, optional) — The date and time when this connection was created - `updated-at` (datetime, optional) — The date and time when this connection was last updated ### ConnectConnectionRelationships - `creator` (ConnectConnectionRelationshipsCreator, optional) ### ConnectConnectionRelationshipsCreator - `data` (ConnectConnectionRelationshipsCreatorData, required) ### ConnectConnectionRelationshipsCreatorData - `id` (string, required) - `type` (string, required) — The type of the creator entity ## Examples **Request** ```json { "data": { "attributes": { "destination-organization-id": "org_XYZ789" } } } ``` **Response** ```json { "data": { "type": "connect/connection", "id": "cxn_ABC123", "attributes": { "status": "pending", "destination-organization-id": "org_XYZ789", "source-organization-id": "org_ABC123", "created-at": "2018-06-01T00:00:00.000Z", "updated-at": "2018-06-01T00:00:00.000Z" } } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/connect/connections" payload = { "data": { "attributes": { "destination-organization-id": "org_XYZ789" } } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/connect/connections'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":{"attributes":{"destination-organization-id":"org_XYZ789"}}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/connect/connections" payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"destination-organization-id\": \"org_XYZ789\"\n }\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/connect/connections") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"attributes\": {\n \"destination-organization-id\": \"org_XYZ789\"\n }\n }\n}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.withpersona.com/api/v1/connect/connections") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"attributes\": {\n \"destination-organization-id\": \"org_XYZ789\"\n }\n }\n}") .asString(); ``` ```php Success request('POST', 'https://api.withpersona.com/api/v1/connect/connections', [ 'body' => '{ "data": { "attributes": { "destination-organization-id": "org_XYZ789" } } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/connect/connections"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"attributes\": {\n \"destination-organization-id\": \"org_XYZ789\"\n }\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": ["attributes": ["destination-organization-id": "org_XYZ789"]]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/connect/connections")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```